JEIEvents.hideItems(event => {
  // Hide the output item itself if you want (not usually needed)
  // event.hide('pneumaticcraft:compressed_iron_ingot')
  event.hide('mcdj:music_generator')
  event.hide('mcdj:blank_record')
  event.hide('mcdj:obsidian_plate')
  event.hide('mcdj:sealed_record')

    const rsColors = [
    'white', 'orange', 'magenta', 'light_blue',
    'yellow', 'lime', 'pink', 'gray',
    'light_gray', 'cyan', 'purple', 'blue',
    'brown', 'green', 'red', 'black'
  ]
  const rsDevices = [
    'controller',
    'grid',
    'crafting_grid',
    'pattern_grid',
    'fluid_grid',
    'detector',
    'crafter',
    'crafter_manager',
    'relay',
    'network_receiver',
    'network_transmitter',
    'security_manager',
    'wireless_transmitter',
    'disk_drive',
    'disk_manipulator',
    'external_storage',
    'importer',
    'exporter',
    'constructor',
    'destructor',
    'reader',
    'writer',
    'interface',
    'fluid_interface',
    'crafting_monitor'
  ]

  rsDevices.forEach(device => {
    // 16 colored variants
    rsColors.forEach(color => {
      event.hide(`refinedstorage:${color}_${device}`)
      event.hide(`refinedstorage:${color}_creative_${device}`)
    })
  })
})

JEIEvents.hideRecipes(event => {
  // Hides all crafting recipes from JEI
})
